org.springframework.batch.sample.domain.football.internal

## Class JdbcGameDao

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.jdbc.core.support.JdbcDaoSupport
    - - org.springframework.batch.sample.domain.football.internal.JdbcGameDao

- All Implemented Interfaces:
    ItemWriter<Game>, org.springframework.beans.factory.InitializingBean

      public class JdbcGameDao
      extends org.springframework.jdbc.core.support.JdbcDaoSupport
      implements ItemWriter<Game>

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcGameDao()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initDao()`
    `void` | `write(java.util.List<? extends Game> games)` Process the supplied data element.

    - ### Methods inherited from class org.springframework.jdbc.core.support.JdbcDaoSupport

      `checkDaoConfig, createJdbcTemplate, getConnection, getDataSource, getExceptionTranslator, getJdbcTemplate, initTemplateConfig, releaseConnection, setDataSource, setJdbcTemplate`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcGameDao

          public JdbcGameDao()

  - ### Method Detail

    - #### initDao

          protected void initDao()
                          throws java.lang.Exception

      Overrides:
        `initDao` in class `org.springframework.dao.support.DaoSupport`
      Throws:
        `java.lang.Exception`

    - #### write

          public void write(java.util.List<? extends Game> games)

      Description copied from interface: `ItemWriter`
      Process the supplied data element. Will not be called with any null items in normal operation.
      Specified by:
        `write` in interface `ItemWriter<Game>`
      Parameters:
        `games` - items to be written